Reflashed, still doesn't work

OK I reflashed SD card to the 0.15.1 version, and the Umbrel main page says I’m still running on 0.14.2-beta.

I also get a “cannot find arbitrator” error in RTL.

My logs contain language like this:
External storage SD card update service logs

– Logs begin at Fri 2022-07-15 09:12:56 UTC, end at Sat 2022-10-15 03:18:13 UTC. –
Oct 15 02:29:38 umbrel systemd[1]: Starting External Storage SDcard Updater…
Oct 15 02:29:38 umbrel external storage updater[1260]: Checking if SD card Umbrel is newer than external storage…
Oct 15 02:29:38 umbrel external storage updater[1260]: Yes, SD version is newer.
Oct 15 02:29:38 umbrel external storage updater[1260]: Checking if the external storage version “0.4.18” satisfies update requirement “>=0.5.0”…
Oct 15 02:29:38 umbrel external storage updater[1260]: No, we can’t do an automatic update, exiting.
Oct 15 02:29:38 umbrel systemd[1]: Started External Storage SDcard Updater.

Same here. So far the only solution I have found is re flash to 5.0 I haven’t tried it yet. Was looking and found this,